aboutsummaryrefslogtreecommitdiffstats
path: root/Tools/portbuild
diff options
context:
space:
mode:
authorkris <kris@FreeBSD.org>2003-01-24 12:59:03 +0800
committerkris <kris@FreeBSD.org>2003-01-24 12:59:03 +0800
commit74906909beaf38f00891dae7d86879f0042d32fe (patch)
tree53923abb58729d2a2c98a4d35103311ee3605270 /Tools/portbuild
parentd28a7d46ab8d503c89b3c6653f8c429b7b311121 (diff)
downloadfreebsd-ports-gnome-74906909beaf38f00891dae7d86879f0042d32fe.tar.gz
freebsd-ports-gnome-74906909beaf38f00891dae7d86879f0042d32fe.tar.zst
freebsd-ports-gnome-74906909beaf38f00891dae7d86879f0042d32fe.zip
Simple script to check the number of packages built on the various
architectures, for a given branch.
Diffstat (limited to 'Tools/portbuild')
-rwxr-xr-xTools/portbuild/scripts/stats17
1 files changed, 17 insertions, 0 deletions
diff --git a/Tools/portbuild/scripts/stats b/Tools/portbuild/scripts/stats
new file mode 100755
index 000000000000..0040dd3ee6d6
--- /dev/null
+++ b/Tools/portbuild/scripts/stats
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+if [ $# -ne 1 ]; then
+ echo "usage: <branch>"
+ exit 1
+fi
+
+branch=$1
+
+for i in i386 alpha sparc64 ia64; do
+ if [ -d /var/portbuild/$i/${branch}/packages/All ]; then
+ cd /var/portbuild/$i/${branch}/packages/All
+ count=$(find . -name \*.tbz -o -name \*.tgz |wc -l)
+ echo -n "$i: ${count} "
+ fi
+done
+echo